//
//  WordlistViewController.h
//  iOS Hotspot Cracker
//
//  Copyright (c) 2013, Andreas Kurtz & Markus Trossbach, Friedrich-Alexander-University, Erlangen, Germany.
//  All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MessageUI/MessageUI.h>

@interface WordlistViewController : UIViewController<MFMailComposeViewControllerDelegate>

@property (weak, nonatomic) IBOutlet UILabel *stageLabel;
@property (weak, nonatomic) IBOutlet UIProgressView *wordlistProgress;
@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *wordlistActivityIndicator;
@property (weak, nonatomic) IBOutlet UIButton *startGeneratorButton;
- (IBAction)startGenerator:(id)sender;

@property (weak, nonatomic) IBOutlet UIScrollView *scrollView;
@property (weak, nonatomic) IBOutlet UILabel *descriptionLabel;
@property (weak, nonatomic) IBOutlet UILabel *wordlistGeneratedLabel;
@property (weak, nonatomic) IBOutlet UIButton *exportButton;
- (IBAction)tapExport:(id)sender;

@end
